Subject: [Rats] IPR statements about draft-ietf-rats-architecture

From: "Nancy Cam-Winget (ncamwing)" <[email-masked]>
Date: Sat, 6 Nov 2021 02:57:05 +0000

RATS participants,

There are 2 IPR statements related to https://datatracker.ietf.org/doc/html/draft-ietf-rats-architecture:

https://datatracker.ietf.org/ipr/4106/
https://datatracker.ietf.org/ipr/5042/

For IPR  IETF procedures see  https://www.ietf.org/standards/ipr/ and RFC 8179.  As neither the chairs
nor anyone else in the IETF is considered competent to evaluate such claims or the validity of any patents,
we suggest avoiding bringing these up.  However,  IPR statement 5042 has
“Reasonable and Non-Discriminatory License to All Implementers with Possible Royalty/Fee”
And IPR statement 4106 “offer FRAND royalty-bearing licenses for such activities”.  These licensing
Terms may make progress on the draft problematic to some implementers, especially non-commercial ones.

So this message is to start a discussion on how the RATS working group would like to handle these disclosures.
The WG can decide to continue to move forward to publication but discussion is warranted.

Best,  Nancy
(on behalf of the RATs chairs)

---

From: Henk Birkholz <[email-masked]>
Date: Sun, 7 Nov 2021 11:04:01 +0100

Thank you Nancy,

we are happy to just update the revision, if the tracker is not 
configured to track expired documents.

I think the topic of discussion you highlighted might need more time 
than the currently requested 10 min. The Shepard's write-up reflects the 
strong consensus in the WG to move this memo forward as a WG item in (9).

But there are also the open items (7), (8), and (11).

(11) seems just like legwork to me. (7) and (8) are related to the topic 
you raised here. I'll be more than happy to progress and I am cautiously 
optimistic that we are mostly on the same page here. Please let us 
identify a complete list of open tasks, assign them in the session, and 
just get them done.

Viele Grüße,

Henk

On 06.11.21 03:57, Nancy Cam-Winget (ncamwing) wrote:
> RATS participants,
> 
> There are 2 IPR statements related to 
> https://datatracker.ietf.org/doc/html/draft-ietf-rats-architecture 
> <https://datatracker.ietf.org/doc/html/draft-ietf-rats-architecture>:
> 
> <https://datatracker.ietf.org/ipr/4106/>
> 
> <https://datatracker.ietf.org/ipr/5042/>
> 
> For IPR  IETF procedures see https://www.ietf.org/standards/ipr/ 
> <https://www.ietf.org/standards/ipr/> and RFC 8179. As neither the chairs
> 
> _______________________________________________
> RATS mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rats
>

---

From: "Nancy Cam-Winget (ncamwing)" <[email-masked]>
Date: Mon, 8 Nov 2021 00:12:45 +0000

Hi Henk,
As you note, the shepherd writeup has to include discussion (and conclusion) of the IPR disclosure, NOT of the claims as we are not experts
to evaluate them or the validity of any patents.

The email thread is to ensure awareness of the group's understanding of the implications to the draft as well as other potential drafts that will relate to the architecture.  
Strong consensus on the WG has been made but I think on content vs IPR implications especially as the second one came in a bit late.....we can allocate more time during
Open mic if needed and of course, decision is confirmed over the email list as well.

Best, Nancy 

On 11/7/21, 2:04 AM, "RATS on behalf of Henk Birkholz" <[email-masked] on behalf of [email-masked]> wrote:

    Thank you Nancy,

    

    Viele Grüße,
    
    Henk

---

From: Michael Richardson <[email-masked]>
Date: Mon, 08 Nov 2021 06:48:50 -0500

Nancy Cam-Winget \(ncamwing\) <ncamwing=[email-masked]> wrote:
    > https://datatracker.ietf.org/doc/html/draft-ietf-rats-architecture:

    > https://datatracker.ietf.org/ipr/5042/

AFAIK, the Huawei patent is now visible in search engines.
The Intel one is not.  I don't really ever read the content myself.
(Most of us have been advised against doing that)

I have no concerns with either claim.
Neither is yet a patent, and might never be.

I do wish that companies would stop wasting their time and our time on such
things.

--
]               Never tell me the odds!                 | ipv6 mesh networks [
]   Michael Richardson, Sandelman Software Works        |    IoT architect   [
]     [email-masked]  http://www.sandelman.ca/        |   ruby on rails    [

---

From: Michael Richardson <[email-masked]>
Date: Mon, 08 Nov 2021 06:50:38 -0500

> activities”.  These licensing

BTW: it seems that this is secondary.  The first paragraph of the offer seems
to say that if it's part of an IETF specification, that it will not be
enforced.   So it's essentially RF for IETF activities, FRAND otherwise.

(FRAND is not open source compatible, while RF is)

--
Michael Richardson <[email-masked]>   . o O ( IPv6 IøT consulting )
           Sandelman Software Works Inc, Ottawa and Worldwide

---

From: Michael Richardson <[email-masked]>
Date: Wed, 10 Nov 2021 20:21:01 -0500

Nancy Cam-Winget \(ncamwing\) <ncamwing=[email-masked]> wrote:
    > As you note, the shepherd writeup has to include discussion (and
    > conclusion) of the IPR disclosure, NOT of the claims as we are not
    > experts to evaluate them or the validity of any patents.

okay.

In the meantime, could the chairs please request area reviews.
(Last Call is not necessary, nor do we want to wait that long)
The DT lets you ask. Just click "Request Reviews" button.

---

From: Kathleen Moriarty <[email-masked]>
Date: Fri, 12 Nov 2021 10:37:02 -0500

Greetings!

We'll end last call for comments on the IPR submitted Friday of next week,
providing a little more than 2 weeks due to the IETF meeting.

Best regards,
Kathleen

-- 

Best regards,
Kathleen

---

From: Hannes Tschofenig <[email-masked]>
Date: Fri, 19 Nov 2021 17:47:42 +0000

Hi Kathleen,

I wonder how anyone can make a judgment about the IPR situation when we do not have the complete information about it.
This information needs to be available first before we can proceed.

I therefore suggest to wait until we have this information so that our legal department can have a look.

Ciao
Hannes

From: RATS <[email-masked]> On Behalf Of Kathleen Moriarty
Sent: Friday, November 12, 2021 4:37 PM
To: Michael Richardson <[email-masked]>
Cc: [email-masked]
Subject: Re: [Rats] IPR statements about draft-ietf-rats-architecture

Greetings!

We'll end last call for comments on the IPR submitted Friday of next week, providing a little more than 2 weeks due to the IETF meeting.

Best regards,
Kathleen

On Wed, Nov 10, 2021 at 8:21 PM Michael Richardson <[email-masked]<mailto:[email-masked]>> wrote:

okay.

--
Michael Richardson <[email-masked]<mailto:[email-masked]>>   . o O ( IPv6 IøT consulting )
           Sandelman Software Works Inc, Ottawa and Worldwide

_______________________________________________
RATS mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/rats

--

Best regards,
Kathleen
IMPORTANT NOTICE: The contents of this email and any attachments are confidential and may also be privileged. If you are not the intended recipient, please notify the sender immediately and do not disclose the contents to any other person, use it for any purpose, or store or copy the information in any medium. Thank you.

---

From: "Eric Voit (evoit)" <[email-masked]>
Date: Fri, 19 Nov 2021 19:35:59 +0000

I am not a lawyer.  And this is not legal advice.   But here are my thoughts:

* It is possible to look at Intel's IPR reference (to Section 3.0 & 3.1).  And it is possible to see what existed in draft-ietf-rats-architecture prior to Intel's IPR priority date of 2020-06-18.  The only obvious new thing I see is the Reference Value Provider.

* And if people are worried about the general idea of reference value providers, this idea was also included in other RATS draft prior to the Intel's IPR date.  (E.g., draft-ietf-rats-tpm-based-network-device-attest-00, Section 1.4.)

What would actually worry me is if the core ideas of the document were not demonstrated prior to the priority date.  Based on this I am *guessing* that there are ways of realizing the architecture which Intel sees.  And they are being extra careful about claiming IPR on how the architecture might be embodied.  But again this is an absolute *guess*.  

So while patents:
 * are not always sane, 
 * and have been granted where there is obvious prior art, 
 * and fixing improperly granted claims is very expensive,
 * and perhaps something in this particular IPR submission is incorrect (e.g., was this really a continuation with an earlier priority date?)
I am not worrying overmuch about this particular IPR upon this architecture document.  

Honestly, I see more overall IPR risk if we slowing down progress in RATS.  Slowing means there will be fewer/newer prior art public references when other patents inevitably surface. 

Eric

P.S.: The best answer here would be for Intel to move from "FRAND" to "Free".   Where this is done, patents actually help to protect an industry in early growth.

---------------------
From: RATS <[email-masked]> On Behalf Of Hannes Tschofenig
Sent: Friday, November 19, 2021 12:48 PM
To: Kathleen Moriarty <[email-masked]>; Michael Richardson <[email-masked]>
Cc: [email-masked]
Subject: Re: [Rats] IPR statements about draft-ietf-rats-architecture

Hi Kathleen, 

Ciao
Hannes

From: RATS <mailto:[email-masked]> On Behalf Of Kathleen Moriarty
Sent: Friday, November 12, 2021 4:37 PM
To: Michael Richardson <mailto:[email-masked]>
Cc: mailto:[email-masked]
Subject: Re: [Rats] IPR statements about draft-ietf-rats-architecture

Greetings!

Best regards,
Kathleen

On Wed, Nov 10, 2021 at 8:21 PM Michael Richardson <mailto:[email-masked]> wrote:

okay.

--
Michael Richardson <mailto:[email-masked]>   . o O ( IPv6 IøT consulting )
           Sandelman Software Works Inc, Ottawa and Worldwide

mailto:[email-masked]

-- 

Best regards,
Kathleen

---

From: Kathleen Moriarty <[email-masked]>
Date: Fri, 19 Nov 2021 21:22:04 -0500

Hi Eric,

I wouldn’t go by that date as I did a call for IPR and then had to wait. That might have been the trigger, not sure.

Hannes, can your lawyers look at what’s been provided so far?

Thank you,
Kathleen 

Sent from my mobile device

> On Nov 19, 2021, at 2:36 PM, Eric Voit (evoit) <[email-masked]> wrote:
>

---

From: Michael Richardson <[email-masked]>
Date: Sat, 20 Nov 2021 10:46:27 -0500

Kathleen Moriarty <[email-masked]> wrote:
    > I wouldn’t go by that date as I did a call for IPR and then had to
    > wait. That might have been the trigger, not sure.

    > Hannes, can your lawyers look at what’s been provided so far?

The IPR disclosures on the IETF web site are almost always completely
useless.  This one included in my opinion.

Worse, a typo in the markup of the previous version means that the 3.1
heading actually didn't render.  So it's not clear what the IPR claim refers to.

At best the IPR declaration tells us what patent application to look at, and
we don't even know if the PTO will even accept all the claims.